Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class DungeonHooks

    java.lang.Object
      net.minecraftforge.common.DungeonHooks

    public class DungeonHooks

extends Object

Nested Class Summary
`static class` | `DungeonHooks.DungeonLoot` Deprecated.
`static class` | `DungeonHooks.DungeonMob`

Constructor Summary
`DungeonHooks()`

Method Summary
`void` | `addDungeonLoot(DungeonHooks.DungeonLoot loot)` Deprecated.
`static void` | `addDungeonLoot(ItemStack item, int rarity)` Deprecated.
`static float` | `addDungeonLoot(ItemStack item, int rarity, int minCount, int maxCount)` Deprecated.
`static float` | `addDungeonMob(String name, int rarity)` Adds a mob to the possible list of creatures the spawner will create.
`static int` | `getDungeonLootTries()` Deprecated.
`static ItemStack` | `getRandomDungeonLoot(Random rand)` Deprecated.
`static String` | `getRandomDungeonMob(Random rand)` Gets a random mob name from the list.
`boolean` | `removeDungeonLoot(DungeonHooks.DungeonLoot loot)` Deprecated.
`static void` | `removeDungeonLoot(ItemStack item)` Deprecated.
`static void` | `removeDungeonLoot(ItemStack item, int minCount, int maxCount)` Deprecated.
`static int` | `removeDungeonMob(String name)` Will completely remove a Mob from the dungeon spawn list.
`static void` | `setDungeonLootTries(int number)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DungeonHooks

    public DungeonHooks()

Method Detail

### addDungeonMob

    public static float addDungeonMob(String name,
                                      int rarity)

  Adds a mob to the possible list of creatures the spawner will create. If the mob is already in the spawn list, the rarity will be added to the existing one, causing the mob to be more common.

  Parameters:
    `name` - The name of the monster, use the same name used when registering the entity.
    `rarity` - The rarity of selecting this mob over others. Must be greater then 0. Vanilla Minecraft has the following mobs: Spider 100 Skeleton 100 Zombie 200 Meaning, Zombies are twice as common as spiders or skeletons.
  Returns:
    The new rarity of the monster,

### removeDungeonMob

    public static int removeDungeonMob(String name)

  Will completely remove a Mob from the dungeon spawn list.

  Parameters:
    `name` - The name of the mob to remove
  Returns:
    The rarity of the removed mob, prior to being removed.

### getRandomDungeonMob

    public static String getRandomDungeonMob(Random rand)

  Gets a random mob name from the list.

  Parameters:
    `rand` - World generation random number generator
  Returns:
    The mob name

### setDungeonLootTries

    @Deprecated
    public static void setDungeonLootTries(int number)

  Deprecated.

### getDungeonLootTries

    @Deprecated
    public static int getDungeonLootTries()

  Deprecated.

### addDungeonLoot

    @Deprecated
    public void addDungeonLoot(DungeonHooks.DungeonLoot loot)

  Deprecated.

### removeDungeonLoot

    @Deprecated
    public boolean removeDungeonLoot(DungeonHooks.DungeonLoot loot)

  Deprecated.

### addDungeonLoot

    @Deprecated
    public static void addDungeonLoot(ItemStack item,
                                                 int rarity)

  Deprecated.

### addDungeonLoot

    @Deprecated
    public static float addDungeonLoot(ItemStack item,
                                                  int rarity,
                                                  int minCount,
                                                  int maxCount)

  Deprecated.

### removeDungeonLoot

    @Deprecated
    public static void removeDungeonLoot(ItemStack item)

  Deprecated.

### removeDungeonLoot

    @Deprecated
    public static void removeDungeonLoot(ItemStack item,
                                                    int minCount,
                                                    int maxCount)

  Deprecated.

### getRandomDungeonLoot

    @Deprecated
    public static ItemStack getRandomDungeonLoot(Random rand)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD